%define prefix	/usr/X11R6

Name:		xfce
Summary:	Lightweight desktop environment
Version:	3.5.2
Release:	1mdk
Packager:	David BAUDENS <baudens@mandrakesoft.com>

Source:		http://xfce.org/archive/xfce-%{version}.tar.bz2
Source2:	xfce-startxfce

Patch0:		xfce-3.3.2-config.patch.bz2

Group:		Graphical desktop/Other
URL:		http://www.xfce.org/
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk+ >= 1.2.7, glibc >= 2.1.3, gcc, imlib, libpng, libjpeg, libungif, libtiff, xpm
Requires:	xscreensaver, gtk+ >= 1.2.7

%description
XFce author (Olivier FOURDAN) says:

XFce is a lightweight desktop environment for various UNIX systems.

The XFce project was first started because I needed a simple, light and
efficient environment for my Linux System. 

There are now a lot of good environments and interfaces for UNIX based
systems, but most are too heavy, or too expensive, or even both!  

I wanted something easy to use and configure, stable, fast, and, at last
but not least, visually appealing...  

I believe that the desktop environment should be made to increase user
productivity. Therefore, the goal is keep most system resources for the
applications, and not to consume all memory and CPU usage with the desktop
environment.

From version to version, XFce became more and more user friendly and easily
configurable. As XFce is made for the user, it has to be very simple to
configure. That's why everything is driven by the mouse, using buttons, drag
and drop, etc., and the configuration files are hidden from the user, although
it is plain text.

XFce 3 is based on GTK+, a free and powerful tool kit widely adopted by many
applications.

XFce 3.5.2 features :
   * XFce, the main panel
   * XFwm, the window manager
   * XFTree, the file manager 
   * XFClock, a clock and calendar
   * XFbd, the backdrop manager
   * XFMouse, the mouse configuration
   * XFSound, the sound manager
   * XFGnome, the GNOME compliance module
   * XFPager, the pager

Plus as set of shell scripts for use as Drag and Drop actions for the XFce
panel (xfterm, xftrash, xfprint, xfhelp, xfmountdev, CDE2Xfcepal, etc.).


If you are upgrading from previous versions of XFce, version 3.5.2 now features :
   * Drag and drop
   * File management
   * Full session management support, including builtin session management
     and XSM (X11R6 protocol)
   * Support for several graphic image types with Imlib (if available) or
     GNOME gdk-pixbuf.
   * NLS, Native Language Support, in all XFce applications, even in xfwm
     built-in menus.
   * Translations in Catalan, Chinese, Danish, Dutch, English, Estonian,
     Finnish, French, Galician, German, Italian, Japanese, Polish, Romanian,
     Russian, Slovak, Spanish and Swedish !
   * Support for multi-byte character sets (Such as Korean and Japanese)
   * From 2 to 10 virtual screens, driven from the panel itself
   * From 0 to 12 popup menus on XFce panel
   * User configurable size of icons on the panel and popup menus
   * Improved window management (Windows snapping, windows shading, etc.)
   * New window title bar and buttons design
   * Linux FHS compliancy
   * An embedded diagnostic dialog to learn about the execution of programs
     spawned from xfce.
   * Embedded management of standard X resources, giving all applications
     the same look.
   * Automatic theme generator: Choose your colors from the color selector,
     select a gtk engine from the list and apply your settings to all your
     GTK and GNOME applications at once.
   * And many other new features I cannot mention here...
   
%prep

%setup
# %patch0 -p1

%build
# Change default XFcd background colOr for Linux-Mandrake color
# For xinitrc
perl -pi -e "s|black|\"#666699\"|" other/xinitrc
# And for xinitrc.mwm also. Your are free to put others colors here
perl -pi -e "s|black|\"#666699\"|" other/xinitrc.mwm

# Dadou: I wont macros here
./configure --sysconfdir=/etc/X11 \
	    --prefix=%{prefix} \
	    --datadir=%{prefix}/share \
	    --disable-dt
	    
	    
%make CFLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/bin/startxfce

# Change default background
echo "None" > $RPM_BUILD_ROOT/etc/X11/xfce/xfbdrc

# wmsession support
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d/
cat << EOF > $RPM_BUILD_ROOT/etc/X11/wmsession.d/06XFce
NAME=XFce
ICON=xfce-wmsession.xpm
EXEC=/usr/X11R6/bin/startxfce
DESC=Lightweight desktop environment
SCRIPT:
exec /usr/X11R6/bin/startxfce
EOF

%find_lang %{name}

%post
%make_session

%postun
%make_session

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) /etc/X11/wmsession.d/*
%config(noreplace) /etc/X11/xfce
%doc AUTHORS COPYING ChangeLog NEWS README.UPGRADE-3.2.0 README.UPGRADE-3.5.0 TODO
%_libdir/gtk/themes/engines/*
%{prefix}/bin/*
%{prefix}/share/xfce
%{prefix}/man/man1/*

%changelog
* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.2-1mdk
- 3.5.2

* Mon Sep 26 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.1-1mdk
- 3.5.1

* Thu Aug 24 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.0-1mdk
- 3.5.0
- New config files
- Add packager tag
- Spec clean up

* Wed Aug 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.4.4-1mdk
- new and shiny version.
- no need to bzip2 and strip stuff (damiensck).
- remove the config patch.
- %%configure doesn't wanna pickup /usr/X11R6 for prefix

* Fri May 19 2000 dam's <damien@mandrakesoft.com> 3.3.2-4mdk
- Corrected stuff.

* Tue May 16 2000 dam's <damien@mandrakesoft.com> 3.3.2-3mdk
- added config file filter

* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 3.3.2-2mdk
- added fndSession call

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2-1mdk
- Fix buid as user

* Fri Jan 21 2000 - David BAUDENS <baudens@mandrakesoft.com> - 3.2.5-1mdk
- 3.2.5
- Disable MandrakeSoft config files for this release
- Disable Requires for this release
- Use safe %%files
- Use %%{_tmppath} for BuildRoot

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Remove xfcedrake for 7.0

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 3.2.3

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add xfcedrake

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 3.2.2

* Fri Nov 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.2.0

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.1

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix paths in xfsoundrc.
- Anyone else notice the missing locale files, they are back now.
- Update file.list generation to use fine-lang.sh

* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild w/o glib13

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add wa locales from pablo.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- New icons.

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix path problem

- 3.0.2
- Mandrake customisations (backgrounds, pixmap, menus).

* Thu Jul 15 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial RPM
